"""Account admin"""
from django.contrib import admin

"""Import django app"""
from .models import UserEmailOtp, DefaultTaskImages, UserNotification, UserDelete, UserDeviceDetails, ForceUpdate
# Register your models here.

@admin.register(UserDelete)
class UserDeleteAdmin(admin.ModelAdmin):
    """User profile admin"""
    list_display = ['user', 'old_email', 'd_email']

    def __str__(self):
        """Return delete user"""
        return self.user
@admin.register(UserNotification)
class UserNotificationAdmin(admin.ModelAdmin):
    """User profile admin"""
    list_display = ['user', 'push_notification', 'email_notification', 'sms_notification']

    def __str__(self):
        """Return image url"""
        return self.image_url
@admin.register(DefaultTaskImages)
class DefaultTaskImagesAdmin(admin.ModelAdmin):
    """User profile admin"""
    list_display = ['task_name', 'image_url']

    def __str__(self):
        """Return image url"""
        return self.image_url

@admin.register(UserEmailOtp)
class UserEmailOtpAdmin(admin.ModelAdmin):
    """User Email otp admin"""
    list_display = ['email']

    def __str__(self):
        """Return object in email and otp format"""
        return self.email + '-' + self.otp

@admin.register(ForceUpdate)
class ForceUpdateAdmin(admin.ModelAdmin):
    """Force update"""
    list_display = ['version', 'device_type']
    readonly_fields = ('device_type',)

    def has_add_permission(self, request):
        count = ForceUpdate.objects.all().count()
        if count < 2:
            return True
        return False
    def has_delete_permission(self, request, obj=None):
        return False
@admin.register(UserDeviceDetails)
class UserDeviceDetailsAdmin(admin.ModelAdmin):
    """User profile admin"""
    list_display = ['user', 'device_id']

    def __str__(self):
        """Return user email"""
        return self.user.email
