"""Junior admin"""
"""Third party Django app"""
from django.contrib import admin
"""Import Django app"""
from .models import (Junior, JuniorPoints, JuniorGuardianRelationship, JuniorArticlePoints, JuniorArticle,
                     JuniorArticleCard, FAQ)
# Register your models here.
admin.site.register(FAQ)
@admin.register(JuniorArticle)
class JuniorArticleAdmin(admin.ModelAdmin):
    """Junior Admin"""
    list_display = ['junior', 'article', 'status', 'is_completed']

    def __str__(self):
        """Return email id"""
        return self.junior__auth__email

@admin.register(JuniorArticleCard)
class JuniorArticleCardAdmin(admin.ModelAdmin):
    """Junior Admin"""
    list_display = ['junior', 'article', 'article_card', 'is_read']

    def __str__(self):
        """Return email id"""
        return self.junior__auth__email
@admin.register(Junior)
class JuniorAdmin(admin.ModelAdmin):
    """Junior Admin"""
    list_display = ['auth', 'guardian_code']

    def __str__(self):
        """Return email id"""
        return self.auth__email

@admin.register(JuniorPoints)
class JuniorPointsAdmin(admin.ModelAdmin):
    """Junior Points Admin"""
    list_display = ['junior', 'total_points', 'position']

    def __str__(self):
        """Return email id"""
        return self.junior.auth.email

@admin.register(JuniorGuardianRelationship)
class JuniorGuardianRelationshipAdmin(admin.ModelAdmin):
    """Junior Admin"""
    list_display = ['guardian', 'junior', 'relationship']

@admin.register(JuniorArticlePoints)
class JuniorArticlePointsAdmin(admin.ModelAdmin):
    """Junior Admin"""
    list_display = ['junior', 'article', 'question', 'submitted_answer', 'is_answer_correct']
