"""
web_admin admin file
"""
# django imports
from django.contrib import admin

# local imports
from web_admin.models import Article, ArticleCard, ArticleSurvey, SurveyOption, DefaultArticleCardImage


@admin.register(Article)
class ArticleAdmin(admin.ModelAdmin):
    """Article Admin"""
    list_display = ['id', 'title', 'description', 'is_published', 'is_deleted']


@admin.register(ArticleCard)
class ArticleCardAdmin(admin.ModelAdmin):
    """Article Card Admin"""
    list_display = ['id', 'article', 'title', 'description', 'image_url']


@admin.register(ArticleSurvey)
class ArticleSurveyAdmin(admin.ModelAdmin):
    """Article Survey Admin"""
    list_display = ['id', 'article', 'question', 'points']


@admin.register(SurveyOption)
class SurveyOptionAdmin(admin.ModelAdmin):
    """Survey Option Admin"""
    list_display = ['id', 'survey', 'option', 'is_answer']


@admin.register(DefaultArticleCardImage)
class DefaultArticleCardImagesAdmin(admin.ModelAdmin):
    """Default Article Card Images Option Admin"""
    list_display = ['image_name', 'image_url']
