"""
web_admin permission classes
"""
# django imports
from rest_framework import permissions


class AdminPermission(permissions.BasePermission):
    """
    to check for usertype admin only
    """
    def has_permission(self, request, view):
        """
        Return True if user_type is admin
        """
        if request.user.is_superuser:
            return True
        return False

    def has_object_permission(self, request, view, obj):
        """
        check for object level permission
        """
        if request.user.is_superuser:
            return True
        return False
