"""ZOD_Bank URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
# third-party import
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import path, include
from drf_yasg import openapi
from drf_yasg.views import get_schema_view
from django.urls import path
from django.conf import settings

schema_view = get_schema_view(openapi.Info(title="Zod Bank API", default_version='v1'), public=True, )

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include(('account.urls', 'account'), namespace='account')),
    path('', include('guardian.urls')),
    path('', include(('junior.urls', 'junior'), namespace='junior')),
    path('', include(('notifications.urls', 'notifications'), namespace='notifications')),
    path('', include(('web_admin.urls', 'web_admin'), namespace='web_admin')),
]

if settings.DEBUG:
    urlpatterns += [(path('apidoc/', schema_view.with_ui('swagger', cache_timeout=None), name='schema-swagger-ui'))]
